/***********************************
  _ )  |  | __ __| __ __| _ \   \ |   __|
  _ \  |  |    |      |  (   | .  | \__ \ 
 ___/ \__/    _|     _| \___/ _|\_| ____/

***********************************/

.btn,
.button{

	cursor: pointer;
	
	&:hover{
		cursor: pointer;
	}

}

body.logged-in .btn-close{
	top: 47px;
}


.btn-close{

	display: inline-block;
	position: fixed;
	top: 15px;
	left: 15px;
	color: $grey;
	@include font(12,16);
	min-width: 200px;
	padding: 1px 0 0 30px;
	text-decoration: none;
	text-transform: uppercase;
	overflow: visible;
	z-index: 100;

	&:before{

	}

	& .icon-close{

		position: absolute;
		top: 0;
		left: 0;
		overflow: hidden;

		& rect{
			fill: $grey;
		}

		& .icon-close--top{
			position: absolute;
			top: 0;
			left: 0;
			width: 20px;
			height: 3px;
			transform: rotate(-45deg) scale(1);
			transform-origin: center center;
			//transition: all .15s ease-in-out;
		}

		& .icon-close--bottom{
			position: absolute;
			top: 0;
			left: 0;
			width: 20px;
			height: 3px;
			transform: rotate(45deg) scale(1);
			transform-origin: center center;
			//transition: all .15s ease-in-out;

		}

	}

	&:hover{

		& .icon-close--top{
			//transform: rotate(-45deg) scale(1.2);
			//transition: all .15s ease-in-out;
		}

		& .icon-close--bottom{
			//transform: rotate(45deg) scale(1.2);
			//transition: all .15s ease-in-out;
		}

		.btn-label-alt{
			top: 1px;
			opacity: 1;
			visibility: visible;
			//transform: translate3d(0,0,0);
			//transition: all .2s ease-in-out;
		}

		.btn-label{
			top: 17px;
			opacity: 0;
			visibility: hidden;
			//transition: all .2s ease-in-out;
		}
	}
}

.btn-label{
	position: relative;
	top: 1px;
	//left: 30px;
	opacity: 1;
	visibility: visible;
	transition: all .2s ease-in-out;
}

.btn-label-alt{
	position: absolute;
	left: 30px;
	opacity: 0;
	visibility: hidden;
	//top: 1px;
	top: -16px;
	transition: all .2s ease-in-out;
	//width: 100%;
	//transform: translate3d(0,-100%,0);
	//background: #FFF;
}

.grid--item-icon{
	
	position: absolute;
	bottom: $gridGutter;
	right: $gridGutter;
	width: 20px;
	height: 20px;

	& .bar-horizontal{
		fill: #FFFFFF;
	}
	& .bar-vertical{
		fill: #FFFFFF;
		transform: rotate(90deg);
		transform-origin: center center;
	}
}